---
title: Snapshots
url: https://docs.vultr.com/products/compute/instances/cloud-compute/features/snapshots
description: Learn how to create and manage point-in-time backups of your Vultr Cloud Compute instance for data protection and recovery.
publish_date: 2024-09-23T20:20:03.915841Z
last_updated: 2026-05-26T18:43:08.129646Z
---

# How to Create Snapshots on a Vultr Cloud Compute Instance

A snapshot is a point-in-time copy of an instance's state, including its entire file system and disk contents. Snapshots offer a quick backup solution for instances, making it easier to restore data in case of unexpected failures or data loss.

Follow this guide to create snapshots on a Vultr Cloud Compute instance using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click the target Vultr Cloud Compute instance to open its management page.
    1. Navigate to the **Snapshots** tab.
    1. Enter a new descriptive label in the **Label** field and click **Create Snapshot** to take a new snapshot of your instance. Snapshot creation can take upto 30 minutes depending on the instance size.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Create Snapshot** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/create-snapshot) to create a new snapshot of the instance.

        ```console
        $ curl "https://api.vultr.com/v2/snapshots" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "instance_id" : "<instance-id>",
            "description" : "<label>"
          }'
        ```

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Create a new snapshot of the instance.

        ```console
        $ vultr-cli snapshot create --id <instance-id>
        ```
